## dell-launcher 0.8.16

=== debian/changelog ===
dell-launcher (0.8.16) hardy; urgency=low

  * Dell-Launcher crashed if move cursor to the shortcut with long name.
    (LP: #293472)
    - Pass through the ClutterCrossingEvent pointer to the launcher-icon as 
      the mouse x,y co-ordinates are needed to position the tooltip.

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 06 Nov 2008 11:28:06 +0000

dell-launcher (0.8.15) hardy; urgency=low

  * Disable ConsoleKit connecting for poulsbo (no need to restart launcher on
    VT switches).
  * Fix error where the launcher would not restart if a VT switch occurred
    after a resize
  * Explicitly set LAUNCHER_NORESTART to equal "0" if --no-restart isn't
    passed in.

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 31 Oct 2008 17:17:58 +0000

dell-launcher (0.8.14) hardy; urgency=low

  * Dell-Launcher is truncated after change resolution. (LP: #246871)
    - Make sure category names are not truncated after changing the
    resolution.

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 27 Oct 2008 12:01:25 +0000

dell-launcher (0.8.13) hardy; urgency=low

  * When using --no-restart, don't init D-Bus at all

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 20 Oct 2008 16:25:12 +0100

dell-launcher (0.8.12) hardy; urgency=low

  * YaoMing does not wake up after suspend (LP: #243047)
    - Only restart once per session
    - Disconnect signal handler from ConsoleKit proxy before disconnect
    - If we're still alive after a Resume, finalise the Proxy and Connection

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 20 Oct 2008 15:25:55 +0100

dell-launcher (0.8.11) hardy; urgency=low

  * <YM> Sometimes login Ubuntu operation system, desktop theme remains vacant.
    (LP: #250419)
    - Even smaller timeout to try and reduce the black screen showing time

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 20 Oct 2008 12:35:21 +0100

dell-launcher (0.8.10) hardy; urgency=low

  * Launcher greyed out when it's not supposed to be (LP: #277644)
    - Remove launcher lock when destroying dialog

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 03 Oct 2008 17:15:39 +0100

dell-launcher (0.8.9) hardy; urgency=low

  * <YM> Sometimes login Ubuntu operation system, desktop theme (LP: #250419)
    - Add an additional, longer,  timer for poulsbo to redraw the desktop on
      startup

  * Update license information
    - Add (C) 2008 Dell Inc. to files
    - Remove (C) Intel on files that are new (and shouldn't have it)
    - Add copyright & author information to the files from Moblin Clutter Home
      the we modified

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 03 Oct 2008 14:29:22 +0100

dell-launcher (0.8.8) hardy; urgency=low

  * Edit screen kills Dell Launcher (LP: #277228)
    - Return FALSE if gtk_tree_view_selection_get_selected returns FALSE.

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 03 Oct 2008 10:52:39 +0100

dell-launcher (0.8.7) hardy; urgency=low

  * Launcher crashes if application .desktop file not present (LP: #277060)
    - Check if item == NULL as the GError isn't always set
  
  * Clicking open on the application browser while a category (LP: #277062)
    - Expand categories when they are clicked

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 02 Oct 2008 12:53:15 +0100

dell-launcher (0.8.6) hardy; urgency=low

  * Launcher assests lack shadows (LP: #249843)
    - Restore shadows behing catbar & iconview

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 02 Oct 2008 10:14:28 +0100

dell-launcher (0.8.5) hardy; urgency=low

  * Shortcut cannot be launched if path with empty character. (LP: #276643) 
    - We need to wrap the file/folder paths in quotes so xdg-open can
      handle them properly.

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 01 Oct 2008 17:22:00 +0100

dell-launcher (0.8.4) hardy; urgency=low

  * Moving mouse around causes two category items to show target (LP: #273501)
    - Move the showing/unshowing into the iconview to ensure the state across
      all the icons.

  * Fix issue from earlier commit which caused the first category to be 
    highlighted on first-run.

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 30 Sep 2008 16:50:15 +0100

dell-launcher (0.8.3) hardy; urgency=low

  * Behave better on multi-screen setups by getting screen size info from
    gdk_screen_get_monitor_geometry (to match the gnome-panel behaviour).

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 30 Sep 2008 16:17:57 +0100

dell-launcher (0.8.2) hardy; urgency=low

  * Launcher allows 2 categories with the same name to be create (LP: #273511)
    - Show user a warning dialog if they try and create two cats with the same
      name
  * When adding a new category, Launcher should open it after  (LP: #273508)
    - Show the new category after creation

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 30 Sep 2008 13:57:46 +0100

dell-launcher (0.8.1) hardy; urgency=low

  * Don't show blurred image after initial creation if the launcher isn't in
    "active" state
  * Update versioning to remove "ubuntu*" string, replace with micro version

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 30 Sep 2008 12:39:06 +0100

dell-launcher (0.8) hardy; urgency=low

  * <YM> Sometimes login Ubuntu operation system, desktop theme (LP: #250419)
    - Force redraw for Poulsbo
  * Adding application to Launcher causes crash (LP: #273493)
    - A missing icon the theme causing crashes

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 25 Sep 2008 16:33:12 +0100

dell-launcher (0.7ubuntu6) hardy; urgency=low

  * Changing backgrounds is very slow on QH with Dell launcher (LP: #257113)
    Added support for threading the background creation so the launcher is
    always usable throughout background changes.

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 28 Aug 2008 13:10:38 +0100

dell-launcher (0.7ubuntu5) hardy; urgency=low

  * Use ConsoleKit to determine when the ActiveSession is changed and restart

