=== debian/control ===
Source: dell-launcher
Section: gnome
Priority: extra
Maintainer: Neil J. Patel <neil.patel@canonical.com>
Build-Depends: cdbs, debhelper (>= 5), 
  autotools-dev, 
  gnome-pkg-tools (>= 0.10),
  libglib2.0-dev (>= 2.15.5),
  libpango1.0-dev (>= 1.18.0),
  librsvg2-dev (>= 2.18.0),
  libgtk2.0-dev (>= 2.10.0),
  libgnomeui-dev (>=2.0),
  libgconf2-4 (>= 2.16.0),
  libcairo2-dev (>= 1.2.4),
  libdbus-1-dev (>= 1.0),
  libdbus-glib-1-dev (>= 0.7),
  libclutter-0.6-dev (>=0.6),
  libclutter-gtk-0.6-dev (>=0.6),
  libgnome-menu-dev,
  libgnome-desktop-dev,
  libwnck-dev,
  libstartup-notification0-dev
Standards-Version: 3.7.2

Package: dell-launcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libclutter-0.6-0,
  belmont-config-travel | belmont-config
Description: A clutter-based desktop launcher
 A clutter-based desktop launcher
