## dell-launcher 0.9.18

=== debian/changelog ===
dell-launcher (0.9.18) belmont; urgency=low

  * Increase icon sizes for poulsbo

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 03 Apr 2009 15:53:41 +0100

dell-launcher (0.9.17) belmont; urgency=low

  * Rebuild with correct distro

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 25 Mar 2009 13:28:52 +0000

dell-launcher (0.9.16) hardy; urgency=low

  * Fix loading of cat icons for the old theme

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 25 Mar 2009 11:57:36 +0000

dell-launcher (0.9.15) hardy; urgency=low

  * <Tiger> Dell launcher crashes when moving icons (LP: #328578)
    - Rare segfault caused by accessing properties of an invalid pointer
    - Cleared up some warnings while I was at it

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 12 Feb 2009 17:55:43 +0000

dell-launcher (0.9.14) hardy; urgency=low

  * <Tiger> Incorrect blur image used when opening a category (LP: #327402)
    - Make sure the old blur is not shown if the user switches wallpaper and
      we're still creating the new blur.
    - Make sure we don't show the blur is the thread finishes while 
      the standard, closed, view is active.

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 10 Feb 2009 17:39:41 +0000

dell-launcher (0.9.13) hardy; urgency=low

  * Add support for a clean upgrade for existing users. The launcher
    determines if there was an existing install, and stops the new theme from
    being used in that case. This will only happen once, on non-tiger systems.
 
 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 10 Feb 2009 14:31:26 +0000

dell-launcher (0.9.12) hardy; urgency=low

  * Fix positioning of text so it isn't relative to the icon

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 20 Jan 2009 13:14:44 +0000

dell-launcher (0.9.11) hardy; urgency=low

  * Remove the "new" hint from new shortcuts (LP: #314549)

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 14 Jan 2009 14:37:35 +0000

dell-launcher (0.9.10) hardy; urgency=low

  * Hardcode the icon sizes to match Cinco's request.

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 14 Jan 2009 13:21:18 +0000

dell-launcher (0.9.9) hardy; urgency=low

  * Fix latest poulsbo issue: Unable to clone large textures
    - Create new textures from a static GdkPixbuf instead

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 09 Jan 2009 19:02:56 +0000

dell-launcher (0.9.8) hardy; urgency=low

  * Integrate new globe icons from Cinco
  * Update favicon-icon chooser so it reads from /usr/share/pixmaps
  * Install globes into /usr/share/pixmaps, with all the other icons
  * Set the filechooser to the right file initially
    (LP: #256164)

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 09 Jan 2009 16:51:09 +0000

dell-launcher (0.9.7) hardy; urgency=low

  * Try and load icons directly from the filesystem where possible. 
    GtkIconTheme doesn't keep aspect ratios in most cases

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 09 Jan 2009 13:57:34 +0000

dell-launcher (0.9.6) hardy; urgency=low

  * Make sure ration calculations are correct and there is no multiply-by-zero

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 09 Jan 2009 13:32:38 +0000

dell-launcher (0.9.5) hardy; urgency=low

  * Fix icon width sizing so icons where width > (height*2) are rendered
    correctly

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 09 Jan 2009 12:48:52 +0000

dell-launcher (0.9.4) hardy; urgency=low

  * Align the iconview add button to the category bar add button as per
    Cinco's specs

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 08 Jan 2009 15:37:07 +0000

dell-launcher (0.9.3) hardy; urgency=low

  * Fix icon loading (aspect ratios were not calculated for all icons)
  * Make the Tiger unit icons slightly larger

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 08 Jan 2009 11:50:35 +0000

dell-launcher (0.9.2) hardy; urgency=low

  * Fix text display so text is not unnecessarly cut off
  * Call launcher_icon_set_position after a reorder operation, so all the
    corners match for the backgrounds.

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 17 Dec 2008 12:45:59 +0000

dell-launcher (0.9.1) hardy; urgency=low

  * Construct corner tile's bg and bgv textures to not paint squares over the
    rounded corners of the iconview background.
  
  * Restore some missing functionality of the old theme:
    - White tiles for the iconview icons
    - Vertical separators for the categories

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 17 Dec 2008 09:31:47 +0000

dell-launcher (0.9.0) hardy; urgency=low

  * Add support for new Dell Tiger visual style
    - if/else the new style to retain support for current grey style
    - Move external image path construction to launcher-config
    - Remove shadows for new theme
    - Remove icons in options view for new theme
    - Add hilights to options view for new theme
    - Limit number of categories to 7
    - Line up categories and icons in grid, equally seperated
    - Fix spacing of options view
    - Add ability to have a "click" state for new theme
    - /apps/dell-launcher/clarity_theme key will activate new theme settings, 
      including loading images from /usr/share/dell-launcher/clarity-theme

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 16 Dec 2008 16:18:43 +0000

dell-launcher (0.8.18) intrepid; urgency=low

  * Use g_strstr_len for category/application order string comparison so we
    don't need to have the full path in gconf to the desktop files, just the
    desktop file names.

  * Allow compilation on latest gcc

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 03 Dec 2008 07:55:17 -0800
 

dell-launcher (0.8.17) hardy; urgency=low

  * Speed up the fold-out animation for tiger

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 26 Nov 2008 17:28:36 +0000
