=== debian/control ===
--- 
+++ 
@@ -2,6 +2,8 @@
 Section: gnome
 Priority: extra
 Maintainer: Neil J. Patel <neil.patel@canonical.com>
+Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~oem-solutions-group/belmont/dell-launcher
+Vcs-Browser: http://bazaar.launchpad.net/~oem-solutions-group/belmont/dell-launcher
 Build-Depends: cdbs, debhelper (>= 5), 
   autotools-dev, 
   gnome-pkg-tools (>= 0.10),
